using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public abstract class Job : MonoBehaviour
{
	protected BaseRoom workRoom;

    public bool IsActive = false;
    public bool StopJob = false;
    public bool roomFound = false;

	public BaseRoom GetWorkRoom()
	{
		return workRoom;
	}

    public virtual IEnumerator DoWork()
    {
        yield return new WaitForSeconds(0.1f);
    }

	public virtual BaseRoom GetWorkingRoom()
	{
		return workRoom;
	}

	public void SetWorkingRoom(BaseRoom room)
	{
		workRoom = room;
	}

    public void StopWork()
    {
        StopJob = true;
    }

	public void GiveHealth(int healthToGive)
	{

	}
}
